Index: /trunk/SRC/Documentation/xmldoc/savesaxo.sh
===================================================================
--- /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 362)
+++ /trunk/SRC/Documentation/xmldoc/savesaxo.sh	(revision 363)
@@ -110,5 +110,5 @@
 docompileall=0
 dohtml=0
-dowiki=1
+dowiki=0
 dooldtest=0
 doidlwavedoc=0
@@ -124,5 +124,5 @@
 doDTAidris=0
 dodocdownload=0
-dowikiupdate=1
+dowikiupdate=0
 #
 case $( whoami ) in
Index: /trunk/SRC/Interpolation/.idlwave_catalog
===================================================================
--- /trunk/SRC/Interpolation/.idlwave_catalog	(revision 362)
+++ /trunk/SRC/Interpolation/.idlwave_catalog	(revision 363)
@@ -16,6 +16,6 @@
    ("extrapolate" fun nil (lib "extrapolate.pro" nil "saxo") "Result = %s(zinput, maskinput, nb_iteration)" (nil ("_EXTRA") ("GE0") ("MAXVAL") ("MINVAL") ("X_PERIODIC")))
    ("extrapsmooth" fun nil (lib "extrapsmooth.pro" nil "saxo") "Result = %s(in, mskin)" (nil ("_EXTRA") ("GE0") ("MAXVAL") ("MINVAL") ("X_PERIODIC")))
-   ("call_interp2d" fun nil (lib "file_interp.pro" nil "saxo") "Result = %s(data, inlon, inlat, inmask, outlon, outlat)" (nil ("_EXTRA") ("ADDR") ("INIRR") ("METHOD") ("NAN_VALUE") ("SMOOTH") ("WEIG")))
-   ("file_interp" pro nil (lib "file_interp.pro" nil "saxo") "%s, filein, fileout, gridout" (nil ("_EXTRA") ("ADDR") ("GRIDIN") ("INADDSCL_BEFORE") ("ININVMASK") ("INMASKNAME") ("INMISSING_VALUE") ("INUSEASMASK") ("INXAXISNAME") ("INYAXISNAME") ("KEEP") ("MASKIN") ("MASKOUT") ("METHOD") ("NAN_VALUE") ("OUTADDSCL_BEFORE") ("OUTINVMASK") ("OUTMASKNAME") ("OUTMISSING_VALUE") ("OUTUSEASMASK") ("OUTXAXISNAME") ("OUTYAXISNAME") ("REMOVE") ("SET_XAXISNAME") ("SET_XDIMNAME") ("SET_YAXISNAME") ("SET_YDIMNAME") ("SMOOTH") ("WEIG")))
+   ("call_interp2d" fun nil (lib "file_interp.pro" nil "saxo") "Result = %s(data, inlon, inlat, inmask, outlon, outlat)" (nil ("_EXTRA") ("ADDR") ("INIRR") ("METHOD") ("MISSING_VALUE") ("SMOOTH") ("WEIG")))
+   ("file_interp" pro nil (lib "file_interp.pro" nil "saxo") "%s, filein, fileout, gridout" (nil ("_EXTRA") ("ADDR") ("GRIDIN") ("INADDSCL_BEFORE") ("ININVMASK") ("INMASKNAME") ("INMISSING_VALUE") ("INTESTOP") ("INUSEASMASK") ("INXAXISNAME") ("INYAXISNAME") ("KEEP") ("MASKIN") ("MASKOUT") ("METHOD") ("MISSING_VALUE") ("OUTADDSCL_BEFORE") ("OUTINVMASK") ("OUTMASKNAME") ("OUTMISSING_VALUE") ("OUTTESTOP") ("OUTUSEASMASK") ("OUTXAXISNAME") ("OUTYAXISNAME") ("REMOVE") ("SET_XAXISNAME") ("SET_XDIMNAME") ("SET_YAXISNAME") ("SET_YDIMNAME") ("SMOOTH") ("WEIG")))
    ("fromirr" fun nil (lib "fromirr.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, mskin, lonout, latout, mskout)" (nil ("_EXTRA") ("ADDR") ("WEIG")))
    ("fromreg" fun nil (lib "fromreg.pro" nil "saxo") "Result = %s(method, datain, lonin, latin, lonout, latout)" (nil ("_EXTRA") ("ADDR") ("NONORTHERNLINE") ("NOSOUTHERNLINE") ("WEIG")))
Index: /trunk/SRC/ReadWrite/.idlwave_catalog
===================================================================
--- /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 362)
+++ /trunk/SRC/ReadWrite/.idlwave_catalog	(revision 363)
@@ -8,5 +8,5 @@
  '(("ncdf_getatt" pro nil (lib "ncdf_getatt.pro" nil "saxo") "%s, fileid, varid" (nil ("_extra") ("ADD_OFFSET") ("CALENDAR") ("DOUBLE") ("LONG_NAME") ("MISSING_VALUE") ("SCALE_FACTOR") ("STANDARD_NAME") ("UNITS")))
    ("ncdf_getaxis" pro nil (lib "ncdf_getaxis.pro" nil "saxo") "%s, fileid, dimidx, dimidy, xaxis, yaxis" (nil ("_EXTRA") ("ROMSGRID") ("START1") ("XAXISNAME") ("XDIMNAME") ("XYINDEX") ("YAXISNAME") ("YDIMNAME")))
-   ("ncdf_getmask" fun nil (lib "ncdf_getmask.pro" nil "saxo") "Result = %s(fileid)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("USEASMASK")))
+   ("ncdf_getmask" fun nil (lib "ncdf_getmask.pro" nil "saxo") "Result = %s(fileid)" (nil ("_EXTRA") ("ADDSCL_BEFORE") ("INVMASK") ("MASKNAME") ("MISSING_VALUE") ("TESTOP") ("USEASMASK")))
    ("ncdf_gettime" fun nil (lib "ncdf_gettime.pro" nil "saxo") "Result = %s(filename, cdfid)" (nil ("_EXTRA") ("CALLER") ("ERR") ("TIMEVAR")))
    ("read_grads" fun nil (lib "read_grads.pro" nil "saxo") "Result = %s(var, date1, date2)" (nil ("_EXTRA") ("BOX") ("EVERYTHING") ("FILENAME") ("NOSTRUCT") ("TIMESTEP")))
Index: /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 362)
+++ /trunk/SRC/ToBeReviewed/PLOTS/DIVERS/.idlwave_catalog	(revision 363)
@@ -9,5 +9,5 @@
    ("autoscale" pro nil (lib "autoscale.pro" nil "saxo") "%s, min, max, ci" (nil))
    ("axis4pltz" pro nil (lib "axis4pltz.pro" nil "saxo") "%s, type, mask, glam, gphi, z" (nil ("_EXTRA") ("PROFMAX") ("PROFMIN") ("SIN") ("XXAXIS") ("ZOOM") ("ZRATIO") ("ZZAXIS")))
-   ("barrecouleur" pro nil (lib "barrecouleur.pro" nil "saxo") "%s, colnumb, clbinf, clbsup, clbdiv" (nil ("_EXTRA") ("CB_SUBTITLE") ("CB_TITLE") ("COLOR_c") ("divisions") ("MAX") ("MIN") ("NOCOLORBAR") ("NOFILL") ("POST")))
+   ("barrecouleur" pro nil (lib "barrecouleur.pro" nil "saxo") "%s, colnumb, clbinf, clbsup, clbdiv" (nil ("_EXTRA") ("CB_SUBTITLE") ("CB_TITLE") ("COLOR_c") ("DIVISIONS") ("MAX") ("MIN") ("NOCOLORBAR") ("NOFILL") ("POST")))
    ("err_1d" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(type, n1, name, n2)" (nil))
    ("err_2d" fun nil (lib "checkfield.pro" nil "saxo") "Result = %s(type, sz, nx, ny, nz)" (nil))
Index: /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 362)
+++ /trunk/SRC/ToBeReviewed/STRING/.idlwave_catalog	(revision 363)
@@ -8,5 +8,5 @@
  '(("chkeywd" fun nil (lib "chkeywd.pro" nil "saxo") "Result = %s(stringin, keywdname, keywdvalue)" (nil ("AFTER") ("SEPARATOR")))
    ("delchr" fun nil (lib "delchr.pro" nil "saxo") "Result = %s(old, c)" (nil ("HELP")))
-   ("getfile" fun nil (lib "getfile.pro" nil "saxo") "Result = %s(filein)" (nil ("error") ("FIND") ("HELP") ("LINES") ("QUIET")))
+   ("getfile" fun nil (lib "getfile.pro" nil "saxo") "Result = %s(filein)" (nil ("ERROR") ("FIND") ("HELP") ("LINES") ("QUIET")))
    ("getwrd" fun nil (lib "getwrd.pro" nil "saxo") "Result = %s(txtstr, nth, mth)" (nil ("DELIMITER") ("HELP") ("LAST") ("LOCATION") ("NOTRIM") ("NWORDS")))
    ("isnumber" fun nil (lib "isnumber.pro" nil "saxo") "Result = %s(txt0, x)" (nil ("HELP")))
